=== debian/changelog ===
gwydion-dylan (2.3.11pre1-1) unstable; urgency=low

  * Upstream updates.  Lots of optimizations, bug fixes, etc.
  * Declare dependency on gcc-3.2 due to optimizer bugs.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 24 Jun 2003 21:35:02 -0700

gwydion-dylan (2.3.10pre3-3) unstable; urgency=low

  * Updated GNU Emacs syntax highlighting.  It should *not* break XEmacs,
    and to activate you must add the following to your .emacs file:

    (defvar dylan-mode-hook
      (lambda()
          (progn
                (dylan-install-font-lock-defaults))))

  * Moved DUIM to its own package.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 30 Mar 2003 00:07:04 -0800

gwydion-dylan (2.3.10pre3-2) unstable; urgency=low

  * Updates to add 'collections' library.
  * More complete 'machine-words' module.
  * New "fixnum-logical-shift-right" primitive.
  * New "--no-makefile" build mode.
  * Improved debugging support.
  * Minor optimizations and compiler improvements.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 29 Mar 2003 00:48:59 -0800

gwydion-dylan (2.3.10pre3-1) unstable; urgency=low

  * New upstream with workarounds for gcc-3.2.2 bugs.  Now builds without
    requiring debug build.
  * More cleanups and preparations for the release.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat,  1 Mar 2003 23:16:09 -0800

gwydion-dylan (2.3.10pre2-1) unstable; urgency=low

  * New upstream, new 'pre2' status.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 25 Feb 2003 23:12:07 -0800

gwydion-dylan (2.3.10pre1.5-1) unstable; urgency=low

  * New upstream release.
  * Initial build of runtime evaluator (REPL).  Not complete, but fun
    to play with.
  * Enhanced compile-time error reporting.
  * Further melange enhancements for C-code interfacing.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 16 Feb 2003 20:53:43 -0800

gwydion-dylan (2.3.10pre1.3-1) unstable; urgency=low

  * Minor string comparison optimizations.
  * Build networking libraries.
  * Generate better (*slightly* more readable) C code.
  * Fix lintian errors.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon,  3 Feb 2003 22:31:46 -0800

gwydion-dylan (2.3.10pre1.1-1) unstable; urgency=low

  * Use system-provided GC, rather than build-in version.
  * Correct build dependencies for autobuilders.
  * Some corrections to better-process header files
        - Don't generate get/set routines for C void methods
        - Understand C macros
        - Properly escape characters in string constants
  * Correct some lintian errors.
  * Add dependency on bison (Closes:#175038)
  * Correct test-suite install (Closes:#170577)
  * Now uses debian-supplied Boehm garbage collector.

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 31 Jan 2003 22:31:00 -0800

gwydion-dylan (2.3.10pre1-1) unstable; urgency=low

  * New upstream version.
  * Improved performance on copy-sequence for <byte-string>,
    and upper/lower-case conversions.
  * Improve performance of read-line from fd-stream and fd-file-stream
    by a factor of 4.
  * Improve performance of <stretchy-vector> to amortized O(1) time per
    insertion.
  * Beginnings of a single-library version of Dylan.
  * More space-efficient boolean representation.
  * Use new concatenate! function from Extensions library (rather than
    crappy version from the Dylan library.)
  * Add support for <double-integer> class (a.k.a. "long long"), and
    remove assumption that size == alignment for C types.  Add assertions
    that Dylans types and gcc's types are in agreement.
  * Add dependency on libtool (Closes: #167139)

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 16 Dec 2002 21:05:38 -0800

gwydion-dylan (2.3.9pre4-1) unstable; urgency=low

  * Net networking library.
  * Fixes based on things found during the ICFP competition.
  * Generated C code now reuses temporaries.
  * Don't leave executable helper scripts in the source package.  Clean
    up the source package.  (Closes:Bug#159328)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 21 Sep 2002 21:10:04 -0700

gwydion-dylan (2.3.9pre3-4) unstable; urgency=low

  * Corrected without-bounds-checks
  * Some corrections to bignums
  * Command-line GC options
  * Some small generated C improvements
  * Correct Dylan-Mode loading routine.  (Closes:Bug#158286)

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 26 Aug 2002 22:36:26 -0700

gwydion-dylan (2.3.9pre3-3) unstable; urgency=low

  * Fixes to meet Common Dylan standard.
  * Fixes for Melange to allow it to parse more C headers.

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 21 Aug 2002 23:26:39 -0700

gwydion-dylan (2.3.9pre3-2) unstable; urgency=low

  * Updated to 'pre3' tag.
  * Bumped bootstrap counter for autobuilders.
  * Included Emacs mode.
  * Includes 'Testworks' testing framework.
  * Add a build-dependency on bison.  (Closes:Bug#155600)

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed,  7 Aug 2002 21:11:24 -0700

gwydion-dylan (2.3.9pre2-1) unstable; urgency=low

  * New upstream sources
  * Improved limited collections (now more efficient.)
  * Build corrections and updated Boehm collector code.
  * Some readline code.
  * A few optimizations to reduce size of executables (especially
    DUIM code.)

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 25 Jul 2002 23:00:52 -0700

gwydion-dylan (2.3.8pre1-1) unstable; urgency=low

  * Latest upstream.
  * Corrections for various PR#'s (see http://www.gwydiondylan.org for
    more details.)
  * Correct spelling error (Closes:Bug#124716).
  * Applied semi-fix for PowerPC (Ref:  Bug#135084).  Leaving bug open until
    we have a real solution.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 26 Feb 2002 20:27:17 -0800

gwydion-dylan (2.3.6release-1) unstable; urgency=low

  * Inlined functions now work.
  * Bignum optimizations.
  * Profiling with gprof now works.
  * Upstream release of 2.3.6 version.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 29 Dec 2001 19:30:05 -0800


